<?php
/**
* @package		Easysocial
* @subpackge	app_bdaygreets
* @copyright	Copyright (C) 2010 - 2016 Nordmograph.com Adrien ROUSSEL. All rights reserved.
* @license		GNU/GPL v3, http://www.gnu.org/licenses/gpl-3.0.html
*/
defined( '_JEXEC' ) or die( 'Unauthorized Access' );

// Import the model file from the core
Foundry::import( 'admin:/includes/model' );


class BdaygreetsModel extends EasySocialModel
{
	/**
	 * Retrieves the bdaygreets stored from the database.
	 *
	 * @since	1.0
	 * @access	public
	 * @param	int		User's id. 
	 * @return	Array	A list of streetguess scores rowset.
	 */


	
	
	function getGifts($userid, $limitstart, $limit)
		{	
			$db = JFactory::getDBO();							
			$q = "SELECT DISTINCT(g.id) , g.gift_name , g.gift_desc, gift_img  ,
			(SELECT COUNT(*) FROM #__bdaygreets_activities WHERE gift_id= g.id AND accepted='1' AND gifted_id='".$userid."'  ) AS count
			FROM #__bdaygreets_gifts g
			Join #__bdaygreets_activities a  ON g.id = a.gift_id 
			WHERE a.gifted_id='".$userid."' AND g.state='1' AND a.accepted='1' 
			GROUP BY g.id 
			ORDER BY count DESC";
			$q .= ' LIMIT '.(int)$limitstart .','.(int) $limit;
			$db->setQuery($q);
			$row  = $db->loadObjectList();		
			return $row;
		}
		function countGifts($userid)
		{
			$db = JFactory::getDBO();	
		 	$q ="SELECT COUNT( DISTINCT(a.gift_id)) 
			FROM #__bdaygreets_activities a 
			JOIN #__bdaygreets_gifts g ON g.id = a.gift_id
			WHERE a.gifted_id = '".$userid."' AND a.accepted='1'  AND g.state='1'  ";
			$db->setQuery($q);
			$count  = $db->loadResult();
			return $count;
		}
}