<?php
/**
* @package		Easysocial
* @subpackge	app_bdaygreets
* @copyright	Copyright (C) 2010 - 2016 Nordmograph.com Adrien ROUSSEL. All rights reserved.
* @license		GNU/GPL v3, http://www.gnu.org/licenses/gpl-3.0.html
*/
defined( '_JEXEC' ) or die( 'Unauthorized Access' );
$juri	= JURI::Base();
$doc 	= JFactory::getDocument();
$app 	= JFactory::getApplication();
$juser = JFactory::getUser();
$db 	= JFactory::getDBO();
$my_id = $juser->id;
$html =  '';
if($juser->id != $userId)
	$html .=  '<h3>'.$title.'</h3>';
	

$giftme_script = "function giftMe(url){
					swal({  
						  html:
							'<iframe src=\"'+url+'\" id=\"giftme_iframe\" >' +
							'</iframe>',
							width: 800,
							padding: 15,
						  showCloseButton: true,
						  showConfirmButton: false,
						  showCancelButton: false		 
						}).catch(swal.noop)
					}";
				$doc->addScriptDeclaration($giftme_script);
$browse_url = JRoute::_('index.php?option=com_bdaygreet&view=gifts&userid='.$userId.'&tmpl=component&Itemid='. $JGitemid);
echo '<div class="browse-gifts" >
		<a onclick="giftMe(\''.$browse_url.'\')" class="btn btn-success btn-large" >
		<i class="jgs-icon-gift"></i> '.strtoupper(JText::_('PLG_BDAYGREETS_BROWSEGIFTS')).'</a>
		</div><div class="clear"></div>';

if(count($gifts)>0)
{
	$gifters_script = "function giftersList(url){
					swal({  
						  html:
							'<iframe src=\"'+url+'\" id=\"senders_iframe\" >' +
							'</iframe>',
							width: 800,
							padding: 15,
						  showCloseButton: true,
						  showConfirmButton: false,
						  showCancelButton: false		 
						}).catch(swal.noop)
					}";
				$doc->addScriptDeclaration($gifters_script);
				
				$t = "jQuery(document).ready(function () {
				jQuery('.jgs-giftimage').hover(function() {
				jQuery(this).addClass('jgs-transition');
			}, function() {
				 jQuery(this).removeClass('jgs-transition');
			});
			});";
		$doc->addScriptDeclaration( $t );
			
	foreach($gifts as $gift)
	{
		$gift_img = $gift->gift_img;
		if(!$gift_img)
			$gift_img  = 'components/com_bdaygreet/assets/img/gift.jpg';
		//$j++;
		$gift_url = JRoute::_('index.php?option=com_bdaygreet&view=gift&id='.$gift->id.'&userid='.$userId.'&tmpl=component&Itemid='.$JGitemid);
		$html .= '<div class="grid-item">';
		$html .= '<div class="grid-item-title" ><h3>'.JText::_($gift->gift_name).'</h3></div>';
		$html .= '<div class="grid-item-img" ><a onclick="giftMe(\''.$gift_url.'\')"><img class="gift-thumb jgs-giftimage" src="'.$juri.$gift_img.'" 
				width="'.$thumb_size.'" height="'.$thumb_size.'" alt="'.JText::_($gift->gift_name).'" /></a></div>';
		$html .= '<div class="badge badge-success">'.$gift->count.'</div>';
		if($show_gifters)
		{			
			if($juser->id)
			{
				$gifters_url = JRoute::_('index.php?option=com_bdaygreet&tmpl=component&view=senders&id='.$gift->id.'&userid='.$userId.'&Itemid='.$JGitemid);
				$html .= ' <a title="'.JText::_('PLG_BDAYGREETS_GIFTSENDERS').'" class="btn btn-default btn-small btn-mini hasTooltip" 
								onclick="giftersList(\''.$gifters_url.'\')">
								<i class="jgs-icon-users"></i></a>';
			}
			else
			{
				$html .= ' <a title="'.JText::_('PLG_BDAYGREETS_YOUNEEDTOLOGIN').'" class="btn btn-default btn-small btn-mini hasTooltip" 
				disabled="disabled" >
				<i class="jgs-icon-users"></i></a>';
			}
		}
		
		$html .= ' <a title="'.JText::_('PLG_BDAYGREETS_DOGIFT').'" class="btn btn-success btn-small btn-mini hasTooltip" 
							onclick="giftMe(\''.$gift_url.'\')">
							<i class="jgs-icon-gift"></i></a>';
							
		$html .= '</div>';
	}
	$html .= "<div style='clear:both;'></div>";
	//$html .='</div>';	
	echo $html;
}
