<?php
/**
* @package		Easysocial
* @subpackge	app_bdaygreets
* @copyright	Copyright (C) 2010 - 2016 Nordmograph.com Adrien ROUSSEL. All rights reserved.
* @license		GNU/GPL v3, http://www.gnu.org/licenses/gpl-3.0.html
*/
defined( '_JEXEC' ) or die( 'Unauthorized Access' );

/**
 * Dashboard widget for bdaygreets
 *
 * @since	1.0
 * @access	public
 */
class BdaygreetsWidgetsDashboard extends SocialAppsWidgets
{

	/**
	 * sidebarBottom position
	 *
	 * This method will be displayed on the sidebar bottom of the dashboard.
	 *
	 * @since	1.0
	 * @access	public
	 * @param	int		The user's id.
	 * @return	string	The output of your widget.
	  Profile:

aboveHeader - Appears on the user's profile above the header.
sidebarBottom - Appears on the user's profile sidebar at the bottom.
sidebarTop - Appears on the user's profile sidebar at the top.
afterBadges - Appears on the user's profile after the badges.
beforeBadges - Appears on the user's profile before the badges.
afterActions - Appears on the user's profile after the actions.
beforeActions - Appears on the user's profile before the actions.
afterInfo - Appears on the user's profile after the info.
afterAvatar - Appears on the user's profile after the avatar.
afterName - Appears on the user's profile after the name.
beforeName - Appears on the user's profile before the name.

Dashboard:

sidebarTop - Appears on the user's dashboard sidebar at the top.
sidebarBottom- Appears on the user's dashboard sidebar at the bottom.

	 */
	public function sidebarTop(  )
	{
		$appParams	= $this->app->getParams();
		$widget_pos 		=  $appParams->get( 'widget_pos' , 'sidebarTop'  );
		$user 	= JFactory::getUser();
		$db  	= JFactory::getDBO();
		$lang 	= JFactory::getLanguage();
		$q = "SELECT sfd.raw 
		FROM #__social_fields_data sfd 
		JOIN #__social_fields sf ON sf.id = sfd.field_id
		WHERE sf.unique_key='BIRTHDAY' AND 	uid='".$user->id."' AND sfd.datakey='date' ";
		$db->setQuery($q);
		$dob = $db->loadResult();
		$m = substr($dob , 5,2);
		$d = substr($dob , 8,2);
		if($d == date('d') && $m == date('m') )
		{
			echo '<img src="'.JURI::base().'media/com_easysocial/apps/user/bdaygreets/assets/img/HB_'.$lang->getTag().'.jpg" alt="HAPPY BIRTHDAY !" width="220"   /><hr/>';
		}
		
	}
}
